aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2018-03-10 01:31:44 +0100
committerJakub Jirutka <jakub@jirutka.cz>2018-03-10 02:17:26 +0100
commite62a10dcc80807932ea8b7f78ebc70117a5be640 (patch)
treeb00806cf3a1d2ae70b0a05e5ba3caad76b6edff3
parent3b2f5fa790204b3b203ae61cd6b78308d19af85e (diff)
downloadaports-e62a10dcc80807932ea8b7f78ebc70117a5be640.tar.bz2
aports-e62a10dcc80807932ea8b7f78ebc70117a5be640.tar.xz
testing/ocaml-camomile: rebuild with ocaml 4.06.1, enable on ppc64le
...and fix depends. ocaml-cppo is now available for ppc64le.
-rw-r--r--testing/ocaml-camomile/APKBUILD8
1 files changed, 4 insertions, 4 deletions
diff --git a/testing/ocaml-camomile/APKBUILD b/testing/ocaml-camomile/APKBUILD
index 4487ca76e2..82932b7d63 100644
--- a/testing/ocaml-camomile/APKBUILD
+++ b/testing/ocaml-camomile/APKBUILD
@@ -3,13 +3,13 @@
pkgname=ocaml-camomile
_pkgname=camomile
pkgver=0.8.7
-pkgrel=0
+pkgrel=1
pkgdesc="A Unicode library for OCaml"
url="https://github.com/yoriyuki/Camomile"
-arch="all !x86 !armhf !s390x !ppc64le" # limited by ocaml and ocaml-cppo aports
+arch="all !x86 !armhf !s390x" # limited by ocaml aport
license="LGPL-2.0-or-later"
-depends="$pkgname-data=$pkgver-r$pkgrel"
-makedepends="dune ocaml ocaml-cppo ocaml-findlib opam"
+depends="$pkgname-data=$pkgver-r$pkgrel ocaml-runtime"
+makedepends="dune ocaml ocaml-compiler-libs ocaml-cppo ocaml-findlib opam"
subpackages="$pkgname-dev $pkgname-data::noarch"
source="$pkgname-$pkgver.tar.gz::https://github.com/yoriyuki/$_pkgname/archive/rel-$pkgver.tar.gz"
builddir="$srcdir/Camomile-rel-$pkgver"